import { Point, Type } from "./type";
import { IDataLegendSeries } from "./IDataLegendSeries";
/**
 * @hidden
 */
export interface IDataLegend {
    notifyVisualPropertiesChanged(a: IDataLegendSeries): void;
    notifySeriesCollectionChanged(): void;
    notifyCursorPositionChanged(a: Point): void;
    target: any;
    targetCursorPositionX: number;
    targetCursorPositionY: number;
}
/**
 * @hidden
 */
export declare let IDataLegend_$type: Type;
